SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000887SiT!otherpublic2009-08-19 11:212011-06-07 19:25
Reporterpaulh 
Assigned Topaulh 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000887: db definition of sites and contacts
DescriptionBoth these tables have lots of fields (including address) which are set as NOT NULL which doesn't make sense these should allow NULL
TagsNo tags attached.
Attached Files

- Relationships
related to 0001403confirmed We should store NULL rather than a empty string when as don't have the information 
related to 0001635resolvedpaulh Can't create site without department field 

-  Notes
User avatar (0001780)
ivan (administrator)
2009-08-19 11:42

The not null fields do have defaults, the default is blank '' (an empty string)
User avatar (0003871)
paulh (administrator)
2011-06-06 19:20

b9ca60d2869e79a54f7d3a9ae33890203551130b resolves
User avatar (0003874)
ivan (administrator)
2011-06-07 09:01

When adding a contact I now get an error that address2 cannot be null.
User avatar (0003880)
paulh (administrator)
2011-06-07 19:09

Did you update your schema? Double checked the schema and its defined and defined and updated as not null.

I did have a conflict on this file when I merged so perhaps gits screwed it up?
User avatar (0003883)
ivan (administrator)
2011-06-07 19:25

ah, apologies it works now. I don't think my git was fully up to date when i reset my DB.

- Issue History
Date Modified Username Field Change
2009-08-19 11:21 paulh New Issue
2009-08-19 11:42 ivan Note Added: 0001780
2010-02-20 19:59 ivan Status new => confirmed
2010-02-20 20:00 ivan Target Version => 4.0
2010-09-26 18:54 paulh Relationship added related to 0001403
2011-02-14 13:25 ivan Target Version 4.0 => 3.90beta1
2011-05-27 20:07 paulh Assigned To => paulh
2011-05-27 20:07 paulh Status confirmed => assigned
2011-06-03 22:49 ivan Severity minor => tweak
2011-06-06 19:20 paulh Note Added: 0003871
2011-06-06 19:20 paulh Fixed in Version => Current GIT
2011-06-06 19:25 paulh Status assigned => resolved
2011-06-06 19:25 paulh Resolution open => fixed
2011-06-07 09:01 ivan Note Added: 0003874
2011-06-07 19:09 paulh Note Added: 0003880
2011-06-07 19:25 ivan Note Added: 0003883
2011-07-02 20:08 Tomse Relationship added related to 0001635


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker